package com.chenyang.nse.bussiness.entity.orm.table.core.discovery;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.io.Serializable;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_DISCOVERY_RESULTS_RECORD"
)
public class TcoreDiscoveryResultsRecord extends TBaseEntity implements Serializable {
   private String groupid;
   private String taskversion;
   private String checked;
   private String datasourceid;
   private String tschema;
   private String tablename;
   private String columnname;
   private String isIntelligent;
   private String sampling;
   private String etsampling;
   private String mate;
   private String materatio;
   private String regextype;
   private String ruleid;
   private String rulename;
   private Date updatetime;
   private Date createtime;

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public Date getUpdatetime() {
      return this.updatetime;
   }

   public void setUpdatetime(Date updatetime) {
      this.updatetime = updatetime;
   }

   public String getGroupid() {
      return this.groupid;
   }

   public void setGroupid(String groupid) {
      this.groupid = groupid;
   }

   public String getTaskversion() {
      return this.taskversion;
   }

   public void setTaskversion(String taskversion) {
      this.taskversion = taskversion;
   }

   public String getChecked() {
      return this.checked;
   }

   public void setChecked(String checked) {
      this.checked = checked;
   }

   public String getDatasourceid() {
      return this.datasourceid;
   }

   public void setDatasourceid(String datasourceid) {
      this.datasourceid = datasourceid;
   }

   public String getTschema() {
      return this.tschema;
   }

   public void setTschema(String tschema) {
      this.tschema = tschema;
   }

   public String getTablename() {
      return this.tablename;
   }

   public void setTablename(String tablename) {
      this.tablename = tablename;
   }

   public String getColumnname() {
      return this.columnname;
   }

   public void setColumnname(String columnname) {
      this.columnname = columnname;
   }

   public String getIsIntelligent() {
      return this.isIntelligent;
   }

   public void setIsIntelligent(String isIntelligent) {
      this.isIntelligent = isIntelligent;
   }

   public String getSampling() {
      return this.sampling;
   }

   public void setSampling(String sampling) {
      this.sampling = sampling;
   }

   public String getEtsampling() {
      return this.etsampling;
   }

   public void setEtsampling(String etsampling) {
      this.etsampling = etsampling;
   }

   public String getMate() {
      return this.mate;
   }

   public void setMate(String mate) {
      this.mate = mate;
   }

   public String getMateratio() {
      return this.materatio;
   }

   public void setMateratio(String materatio) {
      this.materatio = materatio;
   }

   public String getRegextype() {
      return this.regextype;
   }

   public void setRegextype(String regextype) {
      this.regextype = regextype;
   }

   public String getRuleid() {
      return this.ruleid;
   }

   public void setRuleid(String ruleid) {
      this.ruleid = ruleid;
   }

   public String getRulename() {
      return this.rulename;
   }

   public void setRulename(String rulename) {
      this.rulename = rulename;
   }

   public TcoreDiscoveryResultsRecord() {
   }

   public TcoreDiscoveryResultsRecord(Date createtime, Date updatetime, String groupid, String taskversion, String checked, String datasourceid, String tschema, String tablename, String columnname, String isIntelligent, String sampling, String etsampling, String mate, String materatio, String regextype, String ruleid, String rulename) {
      this.createtime = createtime;
      this.updatetime = updatetime;
      this.groupid = groupid;
      this.taskversion = taskversion;
      this.checked = checked;
      this.datasourceid = datasourceid;
      this.tschema = tschema;
      this.tablename = tablename;
      this.columnname = columnname;
      this.isIntelligent = isIntelligent;
      this.sampling = sampling;
      this.etsampling = etsampling;
      this.mate = mate;
      this.materatio = materatio;
      this.regextype = regextype;
      this.ruleid = ruleid;
      this.rulename = rulename;
   }
}
